Page MenuHomePhabricator

[libcxx] [test] Convert a couple of LIBCXX-WINDOWS-FIXME into XFAIL: windows-dll for known bugs
ClosedPublic

Authored by mstorsjo on Apr 19 2021, 1:24 PM.

Details

Summary

These are caused due to inconsistencies regarding always inline in
combination with dllimport. A bug report reference is added next to
each XFAIL line.

This depends on D100221 for adding the 'windows-dll' feature to check
for.

Diff Detail

Event Timeline

mstorsjo requested review of this revision.Apr 19 2021, 1:24 PM
mstorsjo created this revision.
Herald added a project: Restricted Project. · View Herald TranscriptApr 19 2021, 1:24 PM
Herald added a reviewer: Restricted Project. · View Herald Transcript
curdeius accepted this revision as: curdeius.Apr 20 2021, 2:50 AM
curdeius added a subscriber: curdeius.

LGTM. IIUC these tests will unexpectedly pass when this bug is fixed in clang, right? And then, we would be able to remove XFAIL annotations. If it's so, then it's good.

libcxx/test/std/localization/locale.categories/category.collate/locale.collate.byname/hash.pass.cpp
11–12

LGTM. IIUC these tests will unexpectedly pass when this bug is fixed in clang, right? And then, we would be able to remove XFAIL annotations. If it's so, then it's good.

Yep, that's correct.

libcxx/test/std/localization/locale.categories/category.collate/locale.collate.byname/hash.pass.cpp
11–12

Thanks, will apply that change.

mstorsjo updated this revision to Diff 338794.Apr 20 2021, 3:04 AM

Updated urls to use the short https://llvm.org/PR41018 form.

Mordante accepted this revision.Apr 21 2021, 11:31 AM
Mordante added a subscriber: Mordante.

LGTM!

This revision is now accepted and ready to land.Apr 21 2021, 11:31 AM
ldionne accepted this revision.Apr 21 2021, 12:34 PM